## munin 2.0.73

=== common/t/tls/Makefile ===
SUBJECT_CA = /C=MU/ST=Province of Munin/L=Munin Town/O=Munin Inc./OU=CA/CN=127.0.0.1/emailAddress=munin@example.org/
SUBJECT_MASTER = /C=MU/ST=Province of Munin/L=Munin Town/O=Munin Inc./OU=Master/CN=127.0.0.1/emailAddress=munin@example.org/
SUBJECT_NODE = /C=MU/ST=Province of Munin/L=Munin Town/O=Munin Inc./OU=Node/CN=127.0.0.1/emailAddress=munin@example.org/


.PHONY: all clean

all:
	mkdir CA
	mkdir CA/newcerts CA/private 
	touch CA/index.txt
	echo '01' > CA/serial
	openssl req -new -nodes -x509 -extensions v3_ca -subj "$(SUBJECT_CA)" -keyout CA/private/ca_key.pem -out CA/ca_cert.pem -days 3650 -config ./openssl.cnf
	openssl req -new -nodes -subj "$(SUBJECT_NODE)" -keyout node_key.pem -out node_req.pem -config ./openssl.cnf
	openssl req -new -nodes -subj "$(SUBJECT_MASTER)" -keyout master_key.pem -out master_req.pem -config ./openssl.cnf
	yes | openssl ca -out node_cert.pem -in node_req.pem -config ./openssl.cnf -days 3650
	yes | openssl ca -out master_cert.pem -in master_req.pem -config ./openssl.cnf -days 3650

clean:
	rm -r CA
	rm *.pem

=== debian/changelog ===
munin (2.0.73-1) unstable; urgency=medium

  * New upstream release. Closes: #991622, #976096.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Mar 2023 21:08:22 +0100

munin (2.0.72-3) unstable; urgency=medium

  * Add Romanian debconf translation, thanks to Remus-Gabriel Chelu.
    Closes: #1032808
  * Add source/lintian-overrides for upstream's
    very-long-line-length-in-source-file issues.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Mar 2023 16:36:39 +0100

munin (2.0.72-2) unstable; urgency=medium

  * Add Italian translation of debconf messages. Thanks to ceppo@oziosi.org.
    Closes: #1032081.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Mar 2023 09:34:54 +0100

munin (2.0.72-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release with a single change: import custom css file in
    style-new.css, thanks to Salvatore Bonaccorso. Closes: #1030677.
  * d/control: drop depends on obsolete transitional lsb-base package.
  * d/copyright: update my copyright years.

  [ lintian-brush ]
  * Update upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Feb 2023 15:33:04 +0100

=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
Uploaders: Holger Levsen <holger@debian.org>,
 Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep:
 default-jdk,
 html2text,
 htmldoc,
 libfile-slurp-perl,
 libhtml-template-perl,
 libio-stringy-perl,
 liblist-moreutils-perl,
 liblog-log4perl-perl,
 libnet-server-perl,
 libnet-snmp-perl,
 libnet-ssleay-perl,
 librrds-perl,
 libtest-deep-perl,
 libtest-differences-perl,
 libtest-exception-perl,
 libtest-longstring-perl,
 libtest-mockmodule-perl,
 libtest-mockobject-perl,
 perl,
Build-Depends:
 debhelper-compat (=13),
 libmodule-build-perl,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://munin-monitoring.org
Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
Vcs-Browser: https://salsa.debian.org/debian/munin

Package: munin-node
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 libnet-server-perl,
 munin-common (>= ${binary:Version}),
 munin-plugins-core,
 netbase,
Recommends:
 gawk,
 git,
 jo,
 jq,
 man,
 munin-plugins-extra,
 perl-doc,
 procps,
Suggests:
 munin,
 munin-plugins-java,
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
Recommends: libnet-snmp-perl
Suggests:
 acpi | lm-sensors,
 conntrack,
 default-mysql-client,
 ethtool,
 hdparm,
 libdbd-pg-perl,
 libhttp-date-perl,
 liblwp-useragent-determined-perl,
 libnet-ip-perl,
 libnet-irc-perl,
 libnet-ldap-perl,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libxml-parser-perl,
 libxml-simple-perl,
 libcache-cache-perl,
 libdbd-mysql-perl,
 libnet-dns-perl,
 libwww-perl,
 logtail,
 net-tools,
 python3,
 ruby,
 smartmontools,
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on.
 .
 Creating your own plugins which are capable of extracting other system-specific
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
Suggests:
 libcache-memcached-perl,
 liblwp-useragent-determined-perl,
 libnet-ip-perl,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libnet-snmp-perl,
 libtext-csv-xs-perl,
 libxml-libxml-perl,
 python3,
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: ${misc:Depends},
 default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
 munin-common (>= ${binary:Version}),
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to
 monitor Java Management Extensions (JMX).
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 cron | cron-daemon | systemd-sysv,
 fonts-dejavu-core,
 libdate-manip-perl,
 libdigest-md5-perl,
 libfile-copy-recursive-perl,
 libhtml-template-perl,
 libio-socket-inet6-perl,
 liblog-log4perl-perl,
 librrds-perl,
 libstorable-perl,
 libtime-hires-perl,
 liburi-perl,
 munin-common (>= ${binary:Version}),
 netbase,
 rrdtool,
Recommends: munin-node, munin-doc, libcgi-fast-perl
Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 adduser,
 liblist-moreutils-perl,
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 adduser,
 munin-common (>= ${binary:Version}),
 munin-node,
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

=== debian/tests/control ===
# Tests for master components:
#   * collect graphs
#   * generate html and png files
#
# Dependencies:
#   * apache2: handle HTTP requests
#   * cron (only sysV init): manually enforce a dependency conflict when switching to sysvinit-core
#   * curl: HTTP requests for munin-httpd
#   * daemontools: for "setuidgid"
#   * file: determine mime type of HTTP responses
#   * libcgi-fast-perl: required for delivery via apache2
#   * munin-node: provide data to be retrieved by the munin master
#   * munin-plugins-core: required for requesting plugin graphs via munin-httpd
#   * netcat-openbsd: test local tcp connection
#   * psmisc: "killall" for cleanup before master tests
#   * sharness: test framework
#
# Additional specified "restrictions" for SysV init tests:
#   * allow-stderr: apache2 emits the warning message
#     "Could not reliably determine the server's fully qualified domain name".  It is harmless.
#     The message is only emitted with SysV init. With systemd a slightly different name resolution
#     seems to be in effect.  Thus we can ignore this output on stderr.
#   * skip-not-installable: some distributions (e.g. Ubuntu) do not ship sysvinit-core.  They
#     should be allowed to skip these tests.


# systemd
Tests: master-cron-systemd, master-cgi-systemd
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, systemd-sysv
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: master-cron-sysv, master-cgi-sysv
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, cron
Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable


# Tests for munin-node:
#   * run the node
#   * access plugins
#
# Dependencies:
#   * netcat-openbsd: test local tcp connection
#   * sharness: test framework

# systemd
Tests: node-systemd
Depends: munin-node, netcat-openbsd, sharness, systemd-sysv
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: node-sysv
Depends: munin-node, netcat-openbsd, sharness, sysvinit-core, cron
Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable


# verify that all binary packages can be installed at the same time (without conflicts)
Test-Command: true
Depends: @
Restrictions: breaks-testbed

## munin 2.0.75

=== debian/changelog ===
munin (2.0.75-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054628). Remaining changes:
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated
      argument exitonerror and update some snmp arguments to match
      their correct naming.
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu
    - Add missing test dependency on net-tools for netstat plugin.
    - d/Makefile.config: Use java_compat_level provided by java-common
      to set --release level.
  * New changes:
    - d/t/munin-node/02.plugins.t: add conditional postfix plugin to
      the plugin list test.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Feb 2024 17:17:06 +1300

munin (2.0.75-1) unstable; urgency=medium

  * new upstream version:
    - plugins/ipmi_: handle "0.000" as "na" in temperature critical/warning.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Dec 2023 15:17:57 +0100

munin (2.0.74-2ubuntu2) noble; urgency=medium

  * d/Makefile.config: use java_compat_level variable provided by
    java-common to adjust --release level to the minimum required by the
    default Java (LP: #2053290).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 15 Feb 2024 12:04:15 +1300

munin (2.0.74-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. (LP: #2044187) Remaining changes:
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.
    - Add missing test dependency on net-tools for netstat plugin.
  * Dropped changes, included in Debian:
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Nov 2023 14:10:43 -0600

munin (2.0.74-2) unstable; urgency=medium

  * d/control:
    - adjust to upstream changes and make bin:munin depend on libtimedate-perl
      instead of libdate-manip-perl.
    - move bin:munin on top.
  * debian/*: modified after running wrap-and-sort.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Oct 2023 16:15:32 +0200

munin (2.0.74-1) unstable; urgency=medium

  * New upstream bugfix release. Closes: #1033734.
  * munin-node.logrotate:
    - use invoke-rc.d instead of systemctl, thanks to Bob Proulx.
      Closes: #1053379
    - use invoke-rc.d try-restart instead of restart, thanks to Ansgar.

 -- Holger Levsen <holger@debian.org>  Fri, 06 Oct 2023 21:13:45 +0200

munin (2.0.73-2) unstable; urgency=medium

  [ Holger Levsen ]
  * Add Spanish translation of debconf templates, thanks to Camaleón.
    Closes: #1036372
  * munin-node: use logrotate without copytruncate is nicer to aide, thanks to
    Marc Haber. Closes: #1050718

  [ Olivetti Real ]
  * debian/munin.init: Call chown with : as newer chowns lack support for
    old-style point separator.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Sep 2023 15:10:50 +0200

=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
Uploaders: Holger Levsen <holger@debian.org>,
           Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep: default-jdk,
                     html2text,
                     htmldoc,
                     libfile-slurp-perl,
                     libhtml-template-perl,
                     libio-stringy-perl,
                     liblist-moreutils-perl,
                     liblog-log4perl-perl,
                     libnet-server-perl,
                     libnet-snmp-perl,
                     libnet-ssleay-perl,
                     librrds-perl,
                     libtest-deep-perl,
                     libtest-differences-perl,
                     libtest-exception-perl,
                     libtest-longstring-perl,
                     libtest-mockmodule-perl,
                     libtest-mockobject-perl,
                     perl
Build-Depends: debhelper-compat (=13), libmodule-build-perl, po-debconf
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://munin-monitoring.org
Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
Vcs-Browser: https://salsa.debian.org/debian/munin

Package: munin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cron | cron-daemon | systemd-sysv,
         fonts-dejavu-core,
         libdigest-md5-perl,
         libfile-copy-recursive-perl,
         libhtml-template-perl,
         libio-socket-inet6-perl,
         liblog-log4perl-perl,
         librrds-perl,
         libstorable-perl,
         libtime-hires-perl,
         libtimedate-perl,
         liburi-perl,
         munin-common (>= ${binary:Version}),
         netbase,
         rrdtool,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libcgi-fast-perl, munin-doc, munin-node
Suggests: httpd, libapache2-mod-fcgid, libnet-ssleay-perl, www-browser
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-node
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libnet-server-perl,
         munin-common (>= ${binary:Version}),
         munin-plugins-core,
         netbase,
         ${misc:Depends},
         ${perl:Depends}
Recommends: gawk, git, jo, jq, man, munin-plugins-extra, perl-doc, procps
Suggests: munin, munin-plugins-java
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Architecture: all
Depends: munin-common (>= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
Recommends: libnet-snmp-perl
Suggests: acpi | lm-sensors,
          conntrack,
          default-mysql-client,
          ethtool,
          hdparm,
          libcache-cache-perl,
          libdbd-mysql-perl,
          libdbd-pg-perl,
          libhttp-date-perl,
          liblwp-useragent-determined-perl,
          libnet-dns-perl,
          libnet-ip-perl,
          libnet-irc-perl,
          libnet-ldap-perl,
          libnet-netmask-perl,
          libnet-telnet-perl,
          libwww-perl,
          libxml-parser-perl,
          libxml-simple-perl,
          logtail,
          net-tools,
          python3,
          ruby,
          smartmontools
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on.
 .
 Creating your own plugins which are capable of extracting other system-specific
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: munin-common (>= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
Suggests: libcache-memcached-perl,
          liblwp-useragent-determined-perl,
          libnet-ip-perl,
          libnet-netmask-perl,
          libnet-snmp-perl,
          libnet-telnet-perl,
          libtext-csv-xs-perl,
          libxml-libxml-perl,
          python3
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
         munin-common (>= ${binary:Version}),
         ${misc:Depends}
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to
 monitor Java Management Extensions (JMX).
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: adduser, liblist-moreutils-perl, ${misc:Depends}, ${perl:Depends}
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         munin-common (>= ${binary:Version}),
         munin-node,
         ${misc:Depends},
         ${perl:Depends}
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

## munin 2.0.76

=== debian/changelog ===
munin (2.0.76-5) unstable; urgency=medium

  * d/tests/munin-master/02.webserver_access.t: adjust expected mime-type for
    changes in file. Thanks to Christoph Biedl. Closes: #1101127
  * Override lintian error about missing systemd service file for munin because
    it exists as munin-common.tmpfile. Closes: #1031138
  * use default Debian salsa pipelines via debian/salsa-ci.yml

 -- Holger Levsen <holger@debian.org>  Sat, 12 Apr 2025 16:27:16 +0200

munin (2.0.76-4) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Add po-debconf Catalan translation.

  [ Holger Levsen ]
  * d/copyright: update years of my contributions.

 -- Holger Levsen <holger@debian.org>  Fri, 24 Jan 2025 19:33:42 +0100

munin (2.0.76-3) unstable; urgency=medium

  * debian/tests/munin-node/02.plugins.t: fix syntax error. Closes: #1085520.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Nov 2024 13:18:18 +0100

munin (2.0.76-2) unstable; urgency=medium

  [ Holger Levsen ]
  * Add Swedish debconf translations. Thanks to Martin Bagge. Closes: #1072288.

  [ Kentaro Hayashi ]
  * autopkgtest: fix detected nfs plugin failure. Closes: #1085521.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Nov 2024 18:51:38 +0100

munin (2.0.76-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream bugfix release.
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Fri, 24 May 2024 15:10:59 +0200

munin (2.0.75-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * add conditional postfix plugin to the plugin list test. Closes: #1064944.
  * Resolve Java 21 FTBFS. Closes: #1057527.

  [ Holger Levsen ]
  * d/copyright: update my years.

 -- Holger Levsen <holger@debian.org>  Wed, 28 Feb 2024 10:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
            Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep: default-jdk,
@@ -26,7 +25,7 @@
                      perl
 Build-Depends: debhelper-compat (=13), libmodule-build-perl, po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin

=== debian/tests/control ===
--- 
+++ 
@@ -23,17 +23,34 @@
 #   * skip-not-installable: some distributions (e.g. Ubuntu) do not ship sysvinit-core.  They
 #     should be allowed to skip these tests.
 
-
 # systemd
 Tests: master-cron-systemd, master-cgi-systemd
-Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, systemd-sysv
+Depends: apache2,
+         curl,
+         daemontools,
+         file,
+         libcgi-fast-perl,
+         munin,
+         munin-node,
+         psmisc,
+         sharness,
+         systemd-sysv
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
 Tests: master-cron-sysv, master-cgi-sysv
-Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, cron
+Depends: apache2,
+         cron,
+         curl,
+         daemontools,
+         file,
+         libcgi-fast-perl,
+         munin,
+         munin-node,
+         psmisc,
+         sharness,
+         sysvinit-core
 Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
-
 
 # Tests for munin-node:
 #   * run the node
@@ -50,9 +67,8 @@
 
 # sysvinit-core
 Tests: node-sysv
-Depends: munin-node, netcat-openbsd, sharness, sysvinit-core, cron
+Depends: cron, munin-node, netcat-openbsd, sharness, sysvinit-core
 Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
-
 
 # verify that all binary packages can be installed at the same time (without conflicts)
 Test-Command: true

## munin 2.999.14

=== Makefile ===

# This Makefile provides convenience targets for common build/test/install cases, as well as rules
# for the release manager.

# In the interest of keeping this Makefile simple, it does not attempt to provide the flexibility
# provided by using Build.PL directly. (See perldoc Module::Build).

# Defaults/paths. Allows $(CONFIG) to be overridden by
# make command line
DEFAULTS = Makefile.config
CONFIG = Makefile.config

PYTHON_LINT_CALL ?= python3 -m flake8

include $(DEFAULTS)
ifneq ($(DEFAULTS),$(CONFIG))
    include $(CONFIG)
endif

# the perl script is used for most perl related activities
BUILD_SCRIPT = ./Build


.PHONY: default
default: build

.PHONY: help
help:
	@echo "Build targets:"
	@echo "    build"
	@echo "    clean"
	@echo "    doc"
	@echo "    install"
	@echo "    tar"
	@echo
	@echo "Test targets:"
	@echo "    lint"
	@echo "    test"
	@echo "    testcover"
	@echo "    testpod"
	@echo "    testpodcoverage"
	@echo

.PHONY: build
build: $(BUILD_SCRIPT)

.PHONY: doc
doc:
	$(MAKE) -C doc html

.PHONY: install
install: $(BUILD_SCRIPT)
	"$(BUILD_SCRIPT)" install --destdir="$(DESTDIR)" --verbose
	@# various directory placeholders (e.g. "@@SPOOLDIR@@") need to be replaced
	grep -rl --null "@@" "$(or $(DESTDIR),.)" | xargs -0 sed -i \
		-e "$$(perl -I lib -M"Munin::Common::Defaults" \
			-e "Munin::Common::Defaults->print_as_sed_substitutions();")"

.PHONY: apply-formatting
apply-formatting:
	# Format munin perl files with the recommend perltidy settings
	# This is recommend, but NOT mandatory
	@# select all scipts except munin-check
	perltidy script/munin-async script/munin-asyncd script/munin-cron.PL script/munin-doc script/munin-httpd script/munin-limits script/munin-node script/munin-node-configure script/munin-run script/munin-update
	@# format munin libraries
	find lib/ -type f -exec perltidy {} \;

.PHONY: lint lint-munin lint-plugins lint-spelling lint-whitespace

lint: lint-munin lint-plugins lint-spelling lint-whitespace

lint-munin:
	# Scanning munin code
	perlcritic --profile .perlcriticrc lib/ script/

lint-plugins:
	@# SC1008: ignore our weird shebang (substituted later)
	@# SC1090: ignore sourcing of files with variable in path
	@# SC2009: do not complain about "ps ... | grep" calls (may be platform specific)
	@# SC2126: tolerate "grep | wc -l" (simple and widespread) instead of "grep -c"
	@# SC2230: tolerate "which" instead of "command -v".  The latter does not output a full
	#          path. Thus executable tests ("-x") would fail.  This would need a bit of work.
	# TODO: fix the remaining shellcheck issues for the missing platforms:
	#       aix, darwin, netbsd, sunos
	#       (these require tests with their specific shell implementations)
	find plugins/node.d/ \
			plugins/node.d.cygwin/ \
			plugins/node.d.debug/ \
			plugins/node.d.linux/ -type f -print0 \
		| xargs -0 grep -l --null '^#!.*/bin/sh' \
			| xargs -0 shellcheck --exclude=SC1008,SC1090,SC2009,SC2126,SC2230 --shell dash
	find plugins/ -type f -print0 \
		| xargs -0 grep -l --null "^#!.*/bin/bash" \
			| xargs -0 shellcheck --exclude=SC1008,SC1090,SC2009,SC2126,SC2230 --shell bash
	find plugins/ -type f -print0 \
		| xargs -0 grep -l --null "^#!.*python" \
			| xargs -0 $(PYTHON_LINT_CALL)
	# TODO: perl plugins currently fail with perlcritic
	# verify that no multigraph plugin lacks a check for the node's capability
	# Three capability checks are detected:
	#     * perl: need__multigraph();
	#     * shell: is_multigraph
	#     * perl with "Munin::Plugin::Framework": we assume the framework takes care for it
	#     * manual: evaluate environment variable MUNIN_CAP_MULTIGRAPH
	# Some files are excluded from the test:
	#     * plugins/node.d.debug/*: these plugins are used only for testing
	#     * AbstractMultiGraphsProvider.java: this is not a plugin
	plugins_without_multigraph_check=$$(grep -rlwZ "multigraph" plugins/ \
		| xargs -r -0 grep -LwE '((need|is)_multigraph|Munin::Plugin::Framework|MUNIN_CAP_MULTIGRAPH)') \
		| grep -vE 'plugins/(node\.d\.debug/|.*/AbstractMultiGraphsProvider\.java)'; \
		if [ -n "$$plugins_without_multigraph_check" ]; then \
			echo '[ERROR] Some plugins lack a "multigraph" check (e.g. "needs_multigraph();" or "is_multigraph"):'; \
			echo "$$plugins_without_multigraph_check" | sed 's/^/\t/'; false; fi >&2

lint-spelling:
	# codespell misdetections may be ignored by adding the full line of text to the file .codespell.exclude
	find . -type f -print0 \
		| grep --null-data -vE '^\./(\.git|\.pc|doc/_build|blib|.*/blib|build|sandbox|web/static/js|contrib/plugin-gallery/www/static/js)/' \
		| grep --null-data -vE '\.(svg|png|gif|ico|css|woff|woff2|ttf|eot)$$' \
		| xargs -0 -r codespell --exclude-file=.codespell.exclude

lint-whitespace: FILES_WITH_TRAILING_WHITESPACE = $(shell grep -r -l --binary-files=without-match \
				--exclude-dir=.git --exclude-dir=sandbox '\s$$' . \
			| grep -vE '/(blib|build|_build|web/static)/' \
			| grep -vE '/logo\.eps$$')

lint-whitespace:
	@if [ -n "$(FILES_WITH_TRAILING_WHITESPACE)" ]; then \
		echo 'Files containing trailing whitespace or non-native line endings:'; \
		printf '\t%s\n' $(FILES_WITH_TRAILING_WHITESPACE); \
		false; fi 2>&1


.PHONY: clean
clean: $(BUILD_SCRIPT)
	"$(BUILD_SCRIPT)" realclean
	rm -rf _stage
	rm -f MANIFEST META.json META.yml
	$(MAKE) -C doc clean


##############################
# perl module

$(BUILD_SCRIPT): Build.PL
	$(PERL) Build.PL --destdir="$(DESTDIR)" --installdirs="$(INSTALLDIRS)" --verbose


######################################################################
# testing

TEST_FILES_ARG = $(addprefix --test_files , $(TEST_FILES))

.PHONY: test
test: $(BUILD_SCRIPT)
	"$(BUILD_SCRIPT)" test $(TEST_FILES_ARG)

.PHONY: testcover
testcover: $(BUILD_SCRIPT)
	"$(BUILD_SCRIPT)" testcover $(TEST_FILES_ARG)

.PHONY: testpod
testpod: $(BUILD_SCRIPT)
	"$(BUILD_SCRIPT)" testpod $(TEST_FILES_ARG)

.PHONY: testpodcoverage
testpodcoverage: $(BUILD_SCRIPT)
	"$(BUILD_SCRIPT)" testpodcoverage $(TEST_FILES_ARG)


######################################################################
# Rules for the release manager

RELEASE := $(shell $(CURDIR)/getversion)

.PHONY: tar
tar: munin-$(RELEASE).tar.gz.sha256sum

.PHONY: tar-signed
tar-signed: munin-$(RELEASE).tar.gz.asc

munin-$(RELEASE).tar.gz:
	@# prevent the RELEASE file from misleading the "getversion" script
	rm -f RELEASE
	tempdir=$$(mktemp -d) \
		&& mkdir -p "$$tempdir/munin-$(RELEASE)/" \
		&& echo $(RELEASE) > "$$tempdir/munin-$(RELEASE)/RELEASE" \
		&& git archive --prefix=munin-$(RELEASE)/ --format=tar --output "$$tempdir/export.tar" HEAD \
		&& tar --append --file "$$tempdir/export.tar" --owner=root --group=root -C "$$tempdir" "munin-$(RELEASE)/RELEASE" \
		&& gzip -9 <"$$tempdir/export.tar" >"munin-$(RELEASE).tar.gz" \
		&& rm -rf "$$tempdir"

munin-$(RELEASE).tar.gz.sha256sum: munin-$(RELEASE).tar.gz
	sha256sum "$<" >"$@"

munin-$(RELEASE).tar.gz.asc: munin-$(RELEASE).tar.gz
	gpg --armor --detach-sign --sign "$<"

.PHONY: tar-upload
tar-upload: tar tar-signed
	@if [ -z "$(UPLOAD_DIR)" ]; then echo "You need to set UPLOAD_DIR (e.g. '/srv/www/downloads.munin-monitoring.org/munin/stable')" >&2; false; fi
	@if [ -z "$(UPLOAD_HOST)" ]; then echo "You need to set UPLOAD_HOST" >&2; false; fi
	{ \
		echo "mkdir $(UPLOAD_DIR)/$(VERSION)"; \
		echo "put munin-$(VERSION).tar.gz* $(UPLOAD_DIR)/$(VERSION)/"; \
	} | sftp -b - "$(UPLOAD_HOST)"
